Subject: Re: [mpls] Last Call: <draft-ietf-mpls-in-udp-04.txt> (Encapsulating MPLS in UDP) to Proposed Standard
From: Mark Tinka <[email-masked]>
To: [email-masked]
Cc: "[email-masked]" <[email-masked]>, "Eggert, Lars" <[email-masked]>
Date: Tue, 14 Jan 2014 21:51:42 +0200
List-Id: Multi-Protocol Label Switching WG <mpls.ietf.org>

On Tuesday, January 14, 2014 08:10:53 PM Curtis Villamizar 
wrote:

> You need specific configuration to create the
> mis-alignment.  You can also override an IP routing
> protocol with static routes.

Ships-in-the-night IGP operations (typically due to 
migrations) and/or multiple paths available to an LSR/LER 
can present a unique set of circumstances for this to brew 
without synchronized metrics between LDP and the IGP.

> Both ISIS and OSPF have a TE metric and an IGP metric. 
> The default AFAIK was to use the IGP metric for LDP,

This is C's way.

For J, there are options for this, and the default is 
opposite to what C do.

> though if as you say J defaults to 1 and requires you to
> configure a separate LDP metric.  If so, then the LDP
> hop count TLV would not match the IGP cost.  Not a
> problem but an odd choice for default value on J's part.

I've been in situations, many years back, where this has led 
to interesting problems (albeit, transient and/or easy to 
detect).

Situation could be aggregavated when you tunnel LDP in RSVP.

> I'm not sure how any of this discussion changes anything
> wrt draft-ietf-mpls-in-udp.
> 
> Is there relevance to draft-ietf-mpls-in-udp that I am
> missing?

Agree, we're now really off-topic, and maybe it's time to 
circle back to relevance to draft-ietf-mpls-in-udp.

Cheers,

Mark.